LINUX.ORG.RU

Только у меня в Eclipse Neon не работает JavaScript автокомплит?

 , , ,


0

2

Самое интересное в Outline индекс строит (иногда глючит), а в коде в упор не видит ни функции, ни классы, ни переменные. А там где видит, показывает подсказку с методами, но начинаешь набирать на клавиатуре первые символы и подсказка исчезает и ни чего не подставляется.

Это так у меня только? Или это нормально выпускать в продакшен такое поделие?

★★★

Ответ на: комментарий от subwoofer

Уже, также глючит. Щас попробую на виртуалке в win7.

foror ★★★ ()

в eclipse уже появился нормальный автокомплит для JS? (под нормальным понимается структурный по проекту) я думал такое только в webstorm есть.

umren ★★★★★ ()
Ответ на: комментарий от subwoofer

Какую еще другую, какой вагон? Что тут мне пытаются втереть? Я качаю последний neon, где появилась поддержка es6. Щас попробовал в винде, тоже самое.

Видно, что делали наспех, скорее всего кодеры из Индии. Шаблон import сделан криво - там нет пробела между токеном и импортируемым значением. Более того, несмотря на то, что там есть шаблон import в автокомплите, он его подчеркивает красным как Unexpected token.

foror ★★★ ()
Ответ на: комментарий от umren

Ну я вот скачал щас Neon, думал ура, можно выкидывать тормозной Netbeans (nightly builds), в котором тоже появился ES6. Но нет в Eclipse сделали ES6 наспех. Впрочем в Outline он нормально методы классов/функций индексирует. Хоть так...

foror ★★★ ()

Проверь, каким редактором у тебя открывается файл. В эклипсе может быть куча редакторов. И разве в nodeclipse нет полноценного es6? Попробуй еще liclipse - но его надо купить (если совнсть есть) - его автор просто мегамолодец. Короче, попробуй nodeclipse.

Shadow ★★★★★ ()
Последнее исправление: Shadow (всего исправлений: 3)

JSDT в Eclipse пользуются только мазохисты. Он дико тормозной и глючный. В Neon активно анонсировали JSDT 2.0, но из улучшений в нем я вижу только иконки. Остальное как лагало, так и лагает.

Вообще половина WebTools ни на что не годится.

emcode ()
Ответ на: комментарий от emcode

Ну в 2.0 еще синтаксис es6 поддерживает, а так гадость та еще, на больших классах вылетают ошибки парсинга и зачем-то нужно раз 10 нажать в диалоге ОК. Как такое не стыдно релизить... Пока обратно на Netbeans перешел для es6.

foror ★★★ ()

прошло полгода, а воз и ныне там?

bvn13 ★★★★★ ()
Ответ на: комментарий от emcode

а чем пользуются немазохисты?

интересуюсь потому как понимаю что сам - мазохист, но есть жгучее желание исправиться. большого желания переходить на другую иср нет, ибо привычка, время потрачено...

AndreyKl ★★★★★ ()
Ответ на: комментарий от AndreyKl

Ну я щас заканчиваю легковесный транспайлер из джавы в es6 и полностью отказываюсь от программинга на джабаскрипте... Оно конечно не будет иметь поддержки во всяких древностях типа IE. Но с другой стороны es6 всегда можно конвертнуть в es5, только я не знаю как конвертнется async/await, ибо я отказался и от вермешелевого кода (пусть и из джавы).

foror ★★★ ()
Ответ на: комментарий от bvn13

Хз, пилят новый Oxygen (кстати наконец стал нормально работать на GTK3), но я не тестил джабаскрипт плагин, ибо см. выше.

foror ★★★ ()
Последнее исправление: foror (всего исправлений: 1)
Ответ на: комментарий от foror

да так то я сам хаскель осваиваю, благо там есть компиляторы в js. я про сам js собственно. а если точнее то про среду разработки на базе эклипса.

AndreyKl ★★★★★ ()
Последнее исправление: AndreyKl (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.